document.write("<script src='static/lib/spin/spin.min.js'></script>");
document.write("<link rel='stylesheet' href='static/css/alert.css'>");

/**
 * 显示正在载入的动画
 * 
 * @param spinner
 *            载入的动画
 * @param container
 *            动画所在的容器
 * @returns 动画
 */
function showLoading(spinner, container) {
	if (spinner) {
		return spinner;
	}
	var opts = {
		lines : 9 // The number of lines to draw
		,
		length : 17 // The length of each line
		,
		width : 10 // The line thickness
		,
		radius : 26 // The radius of the inner circle
		,
		scale : 1 // Scales overall size of the spinner
		,
		corners : 1 // Corner roundness (0..1)
		,
		color : '#000' // #rgb or #rrggbb or array of colors
		,
		opacity : 0.5 // Opacity of the lines
		,
		rotate : 0 // The rotation offset
		,
		direction : 1 // 1: clockwise, -1: counterclockwise
		,
		speed : 1 // Rounds per second
		,
		trail : 60 // Afterglow percentage
		,
		fps : 20 // Frames per second when using setTimeout() as a fallback
		// for CSS
		,
		zIndex : 2e9 // The z-index (defaults to 2000000000)
		,
		className : 'spinner' // The CSS class to assign to the spinner
		,
		top : '50%' // Top position relative to parent
		,
		left : '50%' // Left position relative to parent
		,
		shadow : false // Whether to render a shadow
		,
		hwaccel : false // Whether to use hardware acceleration
		,
		position : 'absolute' // Element positioning
	}
	return new Spinner(opts).spin(container);
}

/**
 * 关闭正在载入的动画
 * 
 * @param spinner
 *            载入的动画
 * @returns 动画
 */
function hideLoading(spinner) {
	if (spinner) {
		spinner.stop();
	}
	return null;
}

/**
 * 通知提示
 *
 * @param container
 *            通知所在的容器
 * @param text
 *            通知的内容
 * @param time
 *            通知存在的时间
 */
function alert(container, text, time) {
	time = time || 3000;
	container = container || document.body;
	var div = document.getElementById('prompt');
	if (div) {
		container.removeChild(div);
	}
	div = document.createElement('div'), // 创建div对象
		span = document.createElement('span'); // 创建span对象
	div.id = 'prompt'; // div设置ID
	div.innerHTML = text; // 写入内容
	div.appendChild(span);
	container.appendChild(div);

	var timerShow = null, timerHide = null, timerRemove = null;

	// 显示提示窗口
	timerShow = setTimeout(function() {
		div.className = 'show'; // 添加show样式，使用CSS3属性显示弹窗
		clearTimeout(timerShow); // 清除定时器

		// 2秒钟后隐藏弹窗
		timerHide = setTimeout(function() {
			div.className = ''; // 清除show样式，使用CSS3属性隐藏弹窗
			clearTimeout(timerHide); // 清除定时器

			// 隐藏后删除对象
			timerRemove = setTimeout(function() {
				container.removeChild(div); // 删除对象
				clearTimeout(timerRemove); // 清除定时器
			}, 400);

		}, time);

	}, 100);

}